#include <stdio.h>
int main()
{
	int x, y, x1, y1;
	scanf("%d %d", &x, &y);
	scanf("%d %d", &x1, &y1);
	if (x == x1)
	{
		if (y == y1)
		{
			printf("nijedan");
		}
		else
		{
			printf("drugi");
		}
	}
	else if (y == y1)
	{
		printf("prvi");
	}
	else
	{
		printf("?");
	}
}